Package org.apache.sling.testing.clients.osgi

# Enum Component.Status

java.lang.Object
java.lang.Enum<Component.Status>
org.apache.sling.testing.clients.osgi.Component.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Component.Status>`

Enclosing class:
  `Component`

public static enum Component.Status extends Enum<Component.Status>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
`FAILED_ACTIVATION`
`SATISFIED`
`UNKNOWN`
`UNSATISFIED_CONFIGURATION`
`UNSATISFIED_REFERENCE`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Component.Status`
`value(String o)`
`static Component.Status`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Component.Status[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACTIVE

public static final Component.Status ACTIVE

### SATISFIED

public static final Component.Status SATISFIED

### UNSATISFIED_CONFIGURATION

public static final Component.Status UNSATISFIED_CONFIGURATION

### UNSATISFIED_REFERENCE

public static final Component.Status UNSATISFIED_REFERENCE

### FAILED_ACTIVATION

public static final Component.Status FAILED_ACTIVATION

### UNKNOWN

public static final Component.Status UNKNOWN

## Method Details

### values

public static Component.Status[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Component.Status valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public static Component.Status value(String o)

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Component.Status>`